Name:          libwebp
Version:       1.3.0
Release:       1mamba
Summary:       A method of lossy compression that can be used on photographic images
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://developers.google.com/speed/webp/?csw=1
Source:        http://downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfreeglut-devel
BuildRequires: libgif-devel
BuildRequires: libglvnd-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
## AUTOBUILDREQ-END

%description
WebP is a method of lossy compression that can be used on photographic images.
The degree of compression is adjustable so a user can choose the trade-off between file size and image quality.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
WebP is a method of lossy compression that can be used on photographic images.
The degree of compression is adjustable so a user can choose the trade-off between file size and image quality.
This package contains static libraries and header files needed for development.

%package tools
Group:         Applications/Graphics
Summary:       The WebP command line tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
WebP is a method of lossy compression that can be used on photographic images.
The degree of compression is adjustable so a user can choose the trade-off between file size and image quality.
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
  --enable-libwebpmux \
  --enable-libwebpdemux \
  --enable-libwebpdecoder \
  --enable-libwebpextras \
  --with-pnglibdir=%{_libdir} \
  --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsharpyuv.so.*
%{_libdir}/libwebp.so.*
%{_libdir}/libwebpmux.so.*
%{_libdir}/libwebpdemux.so.*
%{_libdir}/libwebpdecoder.so.*
%doc AUTHORS COPYING
#ChangeLog NEWS README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/webp
%{_includedir}/webp/*.h
%dir %{_includedir}/webp/sharpyuv
%{_includedir}/webp/sharpyuv/*.h
%{_libdir}/libsharpyuv.so
%{_libdir}/libwebpdecoder.so
%{_libdir}/libwebpmux.so
%{_libdir}/libwebp.so
%{_libdir}/libwebpdemux.so
%{_libdir}/pkgconfig/libsharpyuv.pc
%{_libdir}/pkgconfig/libwebp.pc
%{_libdir}/pkgconfig/libwebpdemux.pc
%{_libdir}/pkgconfig/libwebpdecoder.pc
%{_libdir}/pkgconfig/libwebpmux.pc

%files tools
%defattr(-,root,root)
%{_bindir}/cwebp
%{_bindir}/dwebp
%{_bindir}/vwebp
%{_bindir}/gif2webp
%{_bindir}/img2webp
%{_bindir}/webpinfo
%{_bindir}/webpmux
%{_mandir}/man1/*

%changelog
* Tue Jan 17 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sat Aug 06 2022 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sun Jul 17 2022 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Thu Jan 20 2022 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Aug 14 2021 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Wed Feb 03 2021 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Jul 14 2019 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Mon Nov 19 2018 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Thu May 03 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- rebuilt with --enable-libwebpmux --enable-libwebpdecoder --enable-libwebpextras

* Sun Apr 29 2018 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 0.5.2-1mamba
- automatic version update by autodist

* Tue Nov 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1-2mamba
- rebuilt with --enable-libwebpdemux

* Sat Jul 23 2016 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Tue Dec 29 2015 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Sun Aug 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Mon Feb 03 2014 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Fri Jun 28 2013 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 0.2.1-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic version update by autodist

* Sun Jan 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.3-1mamba
- update to 0.1.3

* Sat May 28 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.1.2-1mamba
- update to 0.1.2

* Mon Nov 29 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.0.4-1mamba
- update to 0.0.4

* Fri Oct 01 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.0.1-1mamba
- package created by autospec
